Skip to content

Browser Support

Active Support

We are actively testing the Javascript page builder in all major web browsers. Any issue in the browsers listed below should be reported as a bug on our Github repository.

  • Internet Explorer 11+
  • Microsoft Edge (Current - 1) and Current versions
  • Safari (Current - 1) and Current versions
  • Firefox (Current - 1) and Current versions
  • Chrome (Current - 1) and Current versions
  • Opera (Current - 1) and Current versions

(Current - 1) and Current means that we support the current stable version of the browser and the version that precedes it.

Unsupported Browsers

At this moment, the Froala Pages works only on Desktop browsers and we're working towards making it available on Mobile.

We do not offer support for pre-release versions of browsers, such as beta or dev release. If you find a bug in a pre-release of a browser, you should probably report it to the browser vendor.

Froala Pages may run without any major issues in older browser versions, we are not testing the Javascript page builder in them and we usually do not fix bugs that may appear in them.

About Browser Support

Froala Javascript Page Builder is constantly tested is all the supported browsers via unit tests. However, there might be small differences from one browser to another according to the browser-specific behaviors. Testing is essential to fully support a browser.BrowserStack makes available virtual machines for testing many different browser versions on different platforms.

Only the last version of the Page Builder is tested and updated to fix bugs and add features. Users of older versions that find a bug should upgrade to the latest released version to determine if the bug has already been fixed.